Bug 1048621 - Review Request: zabbix22 - Open-source monitoring solution for your IT infrastructure
Summary: Review Request: zabbix22 - Open-source monitoring solution for your IT infras...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-05 22:35 UTC by Volker Fröhlich
Modified: 2014-02-03 20:49 UTC (History)
10 users (show)

Fixed In Version: zabbix22-2.2.1-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-03 20:49:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
orion: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1053205 None None None Never

Internal Trackers: 1053205

Description Volker Fröhlich 2014-01-05 22:35:33 UTC
Spec URL: http://www.geofrogger.net/review/zabbix22.spec
SRPM URL: http://www.geofrogger.net/review/zabbix22-2.2.1-1.1.fc18.src.rpm
Description:

Zabbix is software that monitors numerous parameters of a network and the
health and integrity of servers. Zabbix uses a flexible notification mechanism
that allows users to configure e-mail based alerts for virtually any event.
This allows a fast reaction to server problems. Zabbix offers excellent
reporting and data visualization features based on the stored data.
This makes Zabbix ideal for capacity planning.
    
Zabbix supports both polling and trapping. All Zabbix reports and statistics,
as well as configuration parameters are accessed through a web-based front end.
A web-based front end ensures that the status of your network and the health of
your servers can be assessed from any location. Properly configured, Zabbix can
play an important role in monitoring IT infrastructure. This is equally true
for small organizations with a few servers and for large companies with a
multitude of servers.

Fedora Account System Username: volter

This package is intended for EPEL only. It provides the next major version of Zabbix. A README file tries to explain the changes in packaging to the user and guide him through the upgrade process.

There are some things I'm not sure about:

User zabbixsrv:zabbix was changed to zabbixsrv:zabbixsrv. I added a scriplet that replaces the group. Is this acceptable and sane as I did it?

zabbix20 had no "Provides = %{version}-%{release}. I therefore add explicit Conflicts on zabbix and zabbix20. It might be enough to add that Provides to zabbix20.

Comment 1 Volker Fröhlich 2014-01-06 10:51:01 UTC
I shall add that this particular spec file is intended for EL6 and up only. The EL5 version will require php53 and have various adaptations already present in the zabbix20 EL5 branch.

Comment 2 Bart Verwilst 2014-01-06 12:36:02 UTC
Works for me on my test environment, upgraded a zabbix20 server with mysql, web frontend and agent to zabbix22.

Comment 3 Orion Poplawski 2014-01-06 18:01:46 UTC
Problem with srpm:

$ rpm -ivh http://www.geofrogger.net/review/zabbix22-2.2.1-1.1.fc18.src.rpm
Retrieving http://www.geofrogger.net/review/zabbix22-2.2.1-1.1.fc18.src.rpm
Updating / installing...
   1:zabbix22-2.2.1-1.1.fc18          ################################# [100%]
warning: user makerpm does not exist - using root
warning: group makerpm does not exist - using root
warning: user makerpm does not exist - using root
warning: group makerpm does not exist - using root
warning: user makerpm does not exist - using root
warning: group makerpm does not exist - using root
warning: user makerpm does not exist - using root
warning: group makerpm does not exist - using root
warning: user makerpm does not exist - using root
warning: group makerpm does not exist - using root
error: unpacking of archive failed on file /export/home/orion/redhat/zabbix22-2.2.1/zabbix-2.2.1-free.tar.gz;52caef50: cpio: read
error: /tmp/rpm/rpm-tmp.gBhrLd cannot be installed

Comment 4 Volker Fröhlich 2014-01-06 19:48:22 UTC
Embarassing! It should work now.

Comment 5 Orion Poplawski 2014-01-06 21:31:57 UTC
Some general comments:

- Start with a fresh %changelog
- If this is really EPEL only, why keep all of the Fedora conditionals?

This isn't needed any more:

# Logrotate's su option is currently only available in Fedora
%if 0%{?rhel}
sed -i '/su zabbix zabbix/d' %{SOURCE5}
%endif

- This has long been a bug in zabbix_agentd.conf:

Hostname=Zabbix server

This should be left unset.

- Upgrading to 2.2 from 2.0 triggered a whole slew of "OK" email messages

- Seeing: 

  8532:20140106:142129.396 /var/lib/zabbixsrv/tmp/zabbix_server_8532.pinger: [13] Permission denied

# ls -ld /var/lib/zabbixsrv/tmp
drwxr-x---. 2 root zabbixsrv 4096 Jan  6 14:01 /var/lib/zabbixsrv/tmp

- Not sure about this:
# rpm -V zabbix22
Unsatisfied dependencies for zabbix22-2.2.1-1.1.el6_4.x86_64:
        zabbix conflicts with zabbix22-2.2.1-1.1.el6_4.x86_64
        zabbix conflicts with zabbix22-2.2.1-1.1.el6_4.x86_64

Perhaps a problem with providing and conflicting with zabbix?

- Group change seems okay, and worked for me.

Comment 6 Alec Leamas 2014-01-07 00:07:33 UTC
Thasnks for reporting this cornercase, caused by malformed rpm output when trying to dump the contents  from an empty package.

I have pushed a fix[1] to the devel and release-0.5.1 branches which seems to fix this.

[1] https://fedorahosted.org/FedoraReview/changeset/1e2d8a7f0fb0cd576d11974917b45eb54dd6ef22

Comment 7 Alec Leamas 2014-01-07 00:11:26 UTC
Oh, sorry, right comment, wrong bug...

Comment 8 Volker Fröhlich 2014-01-08 07:34:20 UTC
(In reply to Orion Poplawski from comment #5)
> Some general comments:
> 
> - Start with a fresh %changelog
> - If this is really EPEL only, why keep all of the Fedora conditionals?
>

So far I tried to keep the version for latest EPEL and Zabbix in sync. My idea was to introduce the systemd macros on the EPEL7 file, drop the init script and keep that in sync with Fedora then. It's a bit of a mess, as they don't share a repository, but it worked for me so far. That's also why the changelog is still there. I've trimmed it down to 2.0 and up though.

> This isn't needed any more:
> 
> # Logrotate's su option is currently only available in Fedora
> %if 0%{?rhel}
> sed -i '/su zabbix zabbix/d' %{SOURCE5}
> %endif

Are you sure about the logrotate stanza? Can you point me to where this was sorted out?

> - This has long been a bug in zabbix_agentd.conf:
> 
> Hostname=Zabbix server
> 
> This should be left unset.

Leaving it unset would break active checks, I think but it's one of the better ideas I've heard so far.

We discussed the Hostname matter on https://bugzilla.redhat.com/show_bug.cgi?id=825833 and failed to come up with something useful.

> - Upgrading to 2.2 from 2.0 triggered a whole slew of "OK" email messages

I'd need more information on the triggers/events.

> - Seeing: 
> 
>   8532:20140106:142129.396 /var/lib/zabbixsrv/tmp/zabbix_server_8532.pinger:
> [13] Permission denied
> 
> # ls -ld /var/lib/zabbixsrv/tmp
> drwxr-x---. 2 root zabbixsrv 4096 Jan  6 14:01 /var/lib/zabbixsrv/tmp

Good catch; changed.

The permission on remaining files should be in the domain of the administrator, I think. There's a note on the matter in the README.

> - Not sure about this:
> # rpm -V zabbix22
> Unsatisfied dependencies for zabbix22-2.2.1-1.1.el6_4.x86_64:
>         zabbix conflicts with zabbix22-2.2.1-1.1.el6_4.x86_64
>         zabbix conflicts with zabbix22-2.2.1-1.1.el6_4.x86_64
> 
> Perhaps a problem with providing and conflicting with zabbix?

I hadn't provided versions!

> - Group change seems okay, and worked for me.

Comment 10 Orion Poplawski 2014-01-08 19:16:32 UTC
(In reply to Volker Fröhlich from comment #8)
> (In reply to Orion Poplawski from comment #5)
> > Some general comments:
> > 
> > - Start with a fresh %changelog
> > - If this is really EPEL only, why keep all of the Fedora conditionals?
> >
> 
> So far I tried to keep the version for latest EPEL and Zabbix in sync. My
> idea was to introduce the systemd macros on the EPEL7 file, drop the init
> script and keep that in sync with Fedora then. It's a bit of a mess, as they
> don't share a repository, but it worked for me so far. That's also why the
> changelog is still there. I've trimmed it down to 2.0 and up though.
> 

Okay, but let's fix this then:

warning: bogus date in %changelog: Mon Jan  5 2014 Volker Fröhlich <volker27@gmx.at> - 2.2.1-1.1
warning: bogus date in %changelog: Tue Nov  3 2013 Volker Fröhlich <volker27@gmx.at> - 2.0.9-2

> > This isn't needed any more:
> > 
> > # Logrotate's su option is currently only available in Fedora
> > %if 0%{?rhel}
> > sed -i '/su zabbix zabbix/d' %{SOURCE5}
> > %endif
> 
> Are you sure about the logrotate stanza? Can you point me to where this was
> sorted out?

Ah, well I guess it is still needed but needs to be changed:

$ grep su zabbix-logrotate.in
        su USER USER

# Install log rotation
sed -e 's|COMPONENT|agentd|g; s|USER|zabbix|g' %{SOURCE5} > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-agent
sed -e 's|COMPONENT|server|g; s|USER|zabbixsrv|g' %{SOURCE5} > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-server
sed -e 's|COMPONENT|proxy|g; s|USER|zabbixsrv|g' %{SOURCE5} > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-proxy

Also, you have no business editng the source file in place.

So, perhaps:

%if 0%{?rhel}
sed -e 's|COMPONENT|agentd|g; /su USER USER/d' %{SOURCE5} > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-agent
sed -e 's|COMPONENT|server|g; /su USER USER/d' %{SOURCE5} > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-server
sed -e 's|COMPONENT|proxy|g; /su USER USER/d' %{SOURCE5} > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-proxy
%else
...
%endif

> > - This has long been a bug in zabbix_agentd.conf:
> > 
> > Hostname=Zabbix server
> > 
> > This should be left unset.
> 
> Leaving it unset would break active checks, I think but it's one of the
> better ideas I've heard so far.

No, setting Server= and ServerActive= is needed for that.  Hostname is the hostname of the machine the agent is running on.

> We discussed the Hostname matter on
> https://bugzilla.redhat.com/show_bug.cgi?id=825833 and failed to come up
> with something useful.

Although the upstream bug basically says packagers should do what they need to do to make it work.

> > - Upgrading to 2.2 from 2.0 triggered a whole slew of "OK" email messages
> 
> I'd need more information on the triggers/events.

Sorry, not much.  Perhaps others will see it and report upstream.

> > - Seeing: 
> > 
> >   8532:20140106:142129.396 /var/lib/zabbixsrv/tmp/zabbix_server_8532.pinger:
> > [13] Permission denied
> > 
> > # ls -ld /var/lib/zabbixsrv/tmp
> > drwxr-x---. 2 root zabbixsrv 4096 Jan  6 14:01 /var/lib/zabbixsrv/tmp
> 
> Good catch; changed.

Hmm:

@@ -761,7 +761,8 @@ fi
 %config(noreplace) %{_sysconfdir}/%{srcname}/alertscripts
 %config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-server
 %ghost %{_sbindir}/zabbix_server
-%attr(0750,root,zabbixsrv) %{_sharedstatedir}/zabbixsrv
+%attr(0755,zabbixsrv,zabbixsrv) %dir %{_sharedstatedir}/zabbixsrv
+%attr(0755,zabbixsrv,zabbixsrv) %dir %{_sharedstatedir}/zabbixsrv/tmp
 %if 0%{?fedora}
 %ghost %{_unitdir}/zabbix-server.service
 %else
@@ -797,7 +798,7 @@ fi
 %config(noreplace) %{_sysconfdir}/zabbix_agentd.conf
 %config(noreplace) %{_sysconfdir}/%{srcname}/zabbix_agentd.conf
 %config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-agent
-%attr(0750,zabbix,zabbix) %dir %{_sharedstatedir}/zabbix
+%attr(750,zabbix,zabbix) %dir %{_sharedstatedir}/zabbix
 %if 0%{?fedora}
 %{_unitdir}/zabbix-agent.service
 %{_unitdir}/zabbix-agentd.service
@@ -823,7 +824,8 @@ fi
 %config(noreplace) %{_sysconfdir}/%{srcname}/externalscripts
 %config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-proxy
 %ghost %{_sbindir}/zabbix_proxy
-%attr(0750,root,zabbixsrv) %{_sharedstatedir}/zabbixsrv
+%attr(0755,zabbixsrv,zabbixsrv) %dir %{_sharedstatedir}/zabbixsrv
+%attr(0755,zabbixsrv,zabbixsrv) %dir %{_sharedstatedir}/zabbixsrv/tmp
 %if 0%{?fedora}
 %ghost %{_unitdir}/zabbix-proxy.service
 %else

I would keep each at 0750, just fix the owner as you did.

> The permission on remaining files should be in the domain of the
> administrator, I think. There's a note on the matter in the README.
> 
> > - Not sure about this:
> > # rpm -V zabbix22
> > Unsatisfied dependencies for zabbix22-2.2.1-1.1.el6_4.x86_64:
> >         zabbix conflicts with zabbix22-2.2.1-1.1.el6_4.x86_64
> >         zabbix conflicts with zabbix22-2.2.1-1.1.el6_4.x86_64
> > 
> > Perhaps a problem with providing and conflicting with zabbix?
> 
> I hadn't provided versions!

+Conflicts:       %{srcname} < 2.0
+Conflicts:       %{srcname}20 < 2.2

Shouldn't this be:

Conflicts:       %{srcname} < 2.2
Conflicts:       %{srcname}20

?

Comment 11 Volker Fröhlich 2014-01-12 14:55:59 UTC
(In reply to Orion Poplawski from comment #10)

> Okay, but let's fix this then:
> 
> warning: bogus date in %changelog: Mon Jan  5 2014 Volker Fröhlich
> <volker27@gmx.at> - 2.2.1-1.1
> warning: bogus date in %changelog: Tue Nov  3 2013 Volker Fröhlich
> <volker27@gmx.at> - 2.0.9-2

Done

> Ah, well I guess it is still needed but needs to be changed:
> 
> $ grep su zabbix-logrotate.in
>         su USER USER
> 
> # Install log rotation
> sed -e 's|COMPONENT|agentd|g; s|USER|zabbix|g' %{SOURCE5} > \
>      $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-agent
> sed -e 's|COMPONENT|server|g; s|USER|zabbixsrv|g' %{SOURCE5} > \
>      $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-server
> sed -e 's|COMPONENT|proxy|g; s|USER|zabbixsrv|g' %{SOURCE5} > \
>      $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-proxy
> 
> Also, you have no business editng the source file in place.
> 
> So, perhaps:
> 
> %if 0%{?rhel}
> sed -e 's|COMPONENT|agentd|g; /su USER USER/d' %{SOURCE5} > \
>      $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-agent
> sed -e 's|COMPONENT|server|g; /su USER USER/d' %{SOURCE5} > \
>      $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-server
> sed -e 's|COMPONENT|proxy|g; /su USER USER/d' %{SOURCE5} > \
>      $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-proxy
> %else
> ...
> %endif

That was all wrong indeed!
 
> > > - This has long been a bug in zabbix_agentd.conf:
> > > 
> > > Hostname=Zabbix server
> > > 
> > > This should be left unset.
> > 
> > Leaving it unset would break active checks, I think but it's one of the
> > better ideas I've heard so far.
> 
> No, setting Server= and ServerActive= is needed for that.  Hostname is the
> hostname of the machine the agent is running on.
> 
> > We discussed the Hostname matter on
> > https://bugzilla.redhat.com/show_bug.cgi?id=825833 and failed to come up
> > with something useful.
> 
> Although the upstream bug basically says packagers should do what they need
> to do to make it work.

With no value set for Hostname and HostnameItem, the agent defaults to the result  for the item key "system.hostname", which resembles "uname -n". There's no guarantee this is set to anything unique or even useful on any given system. It also doesn't necessarily match the naming scheme intended by the user.

Eventually, un-setting only removes the confusion about why it says "Zabbix server" when it is actually a monitored host.

Even if all monitored systems have their Hostnames hard-coded to "Zabbix server", all passive items would still work. The server log would be just as littered with configuration queries from non-existing Zabbix hosts as with different Hostnames. The situation is of course worse if the user is trying active items or auto-registration.

If the agent is installed on the same host, changing the default would break the example host shipped in the SQL files. On the other hand, if the agent is not installed on the same machine as the agent, users have to touch the config file to set Server and/or ServerActive anyway. Conclusively, I'd suggest to re-open the other ticket to discuss this further. 

> Hmm:
> 
> @@ -761,7 +761,8 @@ fi
>  %config(noreplace) %{_sysconfdir}/%{srcname}/alertscripts
>  %config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-server
>  %ghost %{_sbindir}/zabbix_server
> -%attr(0750,root,zabbixsrv) %{_sharedstatedir}/zabbixsrv
> +%attr(0755,zabbixsrv,zabbixsrv) %dir %{_sharedstatedir}/zabbixsrv
> +%attr(0755,zabbixsrv,zabbixsrv) %dir %{_sharedstatedir}/zabbixsrv/tmp
>  %if 0%{?fedora}
>  %ghost %{_unitdir}/zabbix-server.service
>  %else
> @@ -797,7 +798,7 @@ fi
>  %config(noreplace) %{_sysconfdir}/zabbix_agentd.conf
>  %config(noreplace) %{_sysconfdir}/%{srcname}/zabbix_agentd.conf
>  %config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-agent
> -%attr(0750,zabbix,zabbix) %dir %{_sharedstatedir}/zabbix
> +%attr(750,zabbix,zabbix) %dir %{_sharedstatedir}/zabbix
>  %if 0%{?fedora}
>  %{_unitdir}/zabbix-agent.service
>  %{_unitdir}/zabbix-agentd.service
> @@ -823,7 +824,8 @@ fi
>  %config(noreplace) %{_sysconfdir}/%{srcname}/externalscripts
>  %config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-proxy
>  %ghost %{_sbindir}/zabbix_proxy
> -%attr(0750,root,zabbixsrv) %{_sharedstatedir}/zabbixsrv
> +%attr(0755,zabbixsrv,zabbixsrv) %dir %{_sharedstatedir}/zabbixsrv
> +%attr(0755,zabbixsrv,zabbixsrv) %dir %{_sharedstatedir}/zabbixsrv/tmp
>  %if 0%{?fedora}
>  %ghost %{_unitdir}/zabbix-proxy.service
>  %else
> 
> I would keep each at 0750, just fix the owner as you did.

Ouch, fixed now!
 
> > > - Not sure about this:
> > > # rpm -V zabbix22
> > > Unsatisfied dependencies for zabbix22-2.2.1-1.1.el6_4.x86_64:
> > >         zabbix conflicts with zabbix22-2.2.1-1.1.el6_4.x86_64
> > >         zabbix conflicts with zabbix22-2.2.1-1.1.el6_4.x86_64
> > > 
> > > Perhaps a problem with providing and conflicting with zabbix?
> > 
> > I hadn't provided versions!
> 
> +Conflicts:       %{srcname} < 2.0
> +Conflicts:       %{srcname}20 < 2.2
> 
> Shouldn't this be:
> 
> Conflicts:       %{srcname} < 2.2
> Conflicts:       %{srcname}20
> 
> ?

Right again, fixed!

Spec URL: http://www.geofrogger.net/review/zabbix22.spec
SRPM URL: http://www.geofrogger.net/review/zabbix22-2.2.1-3.fc18.src.rpm

Comment 12 Orion Poplawski 2014-01-13 23:59:06 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

- Need to Provide: bundled(md5-deutsch)
  See https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#cite_note-0
- Perhaps the license should be "GPLv2+ and zlib"?
- Both server-mysql and proxy-mysql contain /usr/share/zabbix-mysql.  Same with postgresql.
- Probably should use Requires: %{name}%{?_isa} = %{version}-%{release}
- install is used a few times without -p
- Can we get more of /usr/share/zabbix* into noarch packages?

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "GPL (v2 or later)", "Unknown or generated", "zlib/libpng". 47
     files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 542720 bytes in 10 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
     $version)) missing? - no - just a perl script

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 13537280 bytes in /usr/share
     See:
     http://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: zabbix22-2.2.1-3.fc20.x86_64.rpm
          zabbix22-server-2.2.1-3.fc20.x86_64.rpm
          zabbix22-server-mysql-2.2.1-3.fc20.x86_64.rpm
          zabbix22-server-pgsql-2.2.1-3.fc20.x86_64.rpm
          zabbix22-agent-2.2.1-3.fc20.x86_64.rpm
          zabbix22-proxy-2.2.1-3.fc20.x86_64.rpm
          zabbix22-proxy-mysql-2.2.1-3.fc20.x86_64.rpm
          zabbix22-proxy-pgsql-2.2.1-3.fc20.x86_64.rpm
          zabbix22-proxy-sqlite3-2.2.1-3.fc20.x86_64.rpm
          zabbix22-web-2.2.1-3.fc20.noarch.rpm
          zabbix22-web-mysql-2.2.1-3.fc20.noarch.rpm
          zabbix22-web-pgsql-2.2.1-3.fc20.noarch.rpm
          zabbix22-2.2.1-3.fc20.src.rpm
zabbix22.x86_64: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix22-server.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-server.x86_64: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix22-server.x86_64: W: only-non-binary-in-usr-lib
zabbix22-server.x86_64: W: dangling-symlink /etc/zabbix/externalscripts /var/lib/zabbixsrv/externalscripts
zabbix22-server.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/zabbix-server
zabbix22-server.x86_64: W: non-standard-gid /var/log/zabbixsrv zabbixsrv
zabbix22-server.x86_64: E: non-standard-dir-perm /var/log/zabbixsrv 0775L
zabbix22-server.x86_64: W: non-standard-gid /etc/zabbix_server.conf zabbixsrv
zabbix22-server.x86_64: E: non-readable /etc/zabbix_server.conf 0640L
zabbix22-server.x86_64: W: non-standard-uid /var/lib/zabbixsrv/tmp zabbixsrv
zabbix22-server.x86_64: W: non-standard-gid /var/lib/zabbixsrv/tmp zabbixsrv
zabbix22-server.x86_64: E: non-standard-dir-perm /var/lib/zabbixsrv/tmp 0750L
zabbix22-server.x86_64: W: dangling-symlink /etc/zabbix/alertscripts /var/lib/zabbixsrv/alertscripts
zabbix22-server.x86_64: W: non-standard-uid /var/lib/zabbixsrv zabbixsrv
zabbix22-server.x86_64: W: non-standard-gid /var/lib/zabbixsrv zabbixsrv
zabbix22-server.x86_64: E: non-standard-dir-perm /var/lib/zabbixsrv 0750L
zabbix22-server.x86_64: W: dangerous-command-in-%post chmod
zabbix22-server-mysql.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-server-mysql.x86_64: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix22-server-mysql.x86_64: W: only-non-binary-in-usr-lib
zabbix22-server-mysql.x86_64: W: no-documentation
zabbix22-server-mysql.x86_64: E: non-executable-script /usr/share/zabbix-mysql/upgrades/2.0/upgrade 0644L /bin/bash
zabbix22-server-mysql.x86_64: E: non-executable-script /usr/share/zabbix-mysql/upgrades/1.8/upgrade 0644L /bin/bash
zabbix22-server-mysql.x86_64: W: no-manual-page-for-binary zabbix_server_mysql
zabbix22-server-pgsql.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-server-pgsql.x86_64: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix22-server-pgsql.x86_64: W: only-non-binary-in-usr-lib
zabbix22-server-pgsql.x86_64: W: no-documentation
zabbix22-server-pgsql.x86_64: W: no-manual-page-for-binary zabbix_server_pgsql
zabbix22-agent.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-agent.x86_64: W: only-non-binary-in-usr-lib
zabbix22-agent.x86_64: W: non-standard-uid /var/lib/zabbix zabbix
zabbix22-agent.x86_64: W: non-standard-gid /var/lib/zabbix zabbix
zabbix22-agent.x86_64: E: non-standard-dir-perm /var/lib/zabbix 0750L
zabbix22-agent.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/zabbix-agent
zabbix22-agent.x86_64: W: non-standard-gid /var/log/zabbix zabbix
zabbix22-agent.x86_64: E: non-standard-dir-perm /var/log/zabbix 0775L
zabbix22-agent.x86_64: W: no-manual-page-for-binary zabbix_agent
zabbix22-proxy.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-proxy.x86_64: W: only-non-binary-in-usr-lib
zabbix22-proxy.x86_64: W: dangling-symlink /etc/zabbix/externalscripts /var/lib/zabbixsrv/externalscripts
zabbix22-proxy.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/zabbix-proxy
zabbix22-proxy.x86_64: W: non-standard-uid /var/lib/zabbixsrv/tmp zabbixsrv
zabbix22-proxy.x86_64: W: non-standard-gid /var/lib/zabbixsrv/tmp zabbixsrv
zabbix22-proxy.x86_64: E: non-standard-dir-perm /var/lib/zabbixsrv/tmp 0750L
zabbix22-proxy.x86_64: W: non-standard-gid /var/log/zabbixsrv zabbixsrv
zabbix22-proxy.x86_64: E: non-standard-dir-perm /var/log/zabbixsrv 0775L
zabbix22-proxy.x86_64: W: non-standard-uid /var/lib/zabbixsrv zabbixsrv
zabbix22-proxy.x86_64: W: non-standard-gid /var/lib/zabbixsrv zabbixsrv
zabbix22-proxy.x86_64: E: non-standard-dir-perm /var/lib/zabbixsrv 0750L
zabbix22-proxy.x86_64: W: non-standard-gid /etc/zabbix_proxy.conf zabbixsrv
zabbix22-proxy.x86_64: E: non-readable /etc/zabbix_proxy.conf 0640L
zabbix22-proxy.x86_64: W: dangerous-command-in-%post chmod
zabbix22-proxy-mysql.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-proxy-mysql.x86_64: W: only-non-binary-in-usr-lib
zabbix22-proxy-mysql.x86_64: W: no-documentation
zabbix22-proxy-mysql.x86_64: E: non-executable-script /usr/share/zabbix-mysql/upgrades/2.0/upgrade 0644L /bin/bash
zabbix22-proxy-mysql.x86_64: E: non-executable-script /usr/share/zabbix-mysql/upgrades/1.8/upgrade 0644L /bin/bash
zabbix22-proxy-mysql.x86_64: W: no-manual-page-for-binary zabbix_proxy_mysql
zabbix22-proxy-pgsql.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-proxy-pgsql.x86_64: W: only-non-binary-in-usr-lib
zabbix22-proxy-pgsql.x86_64: W: no-documentation
zabbix22-proxy-pgsql.x86_64: W: no-manual-page-for-binary zabbix_proxy_pgsql
zabbix22-proxy-sqlite3.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-proxy-sqlite3.x86_64: W: only-non-binary-in-usr-lib
zabbix22-proxy-sqlite3.x86_64: W: no-documentation
zabbix22-proxy-sqlite3.x86_64: W: no-manual-page-for-binary zabbix_proxy_sqlite3
zabbix22-web.noarch: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-web.noarch: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
zabbix22-web.noarch: W: no-documentation
zabbix22-web.noarch: E: zero-length /usr/share/zabbix/include/classes/class.cstringparser.php
zabbix22-web.noarch: E: non-standard-dir-perm /etc/zabbix/web 0750L
zabbix22-web-mysql.noarch: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-web-mysql.noarch: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
zabbix22-web-mysql.noarch: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix22-web-mysql.noarch: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
zabbix22-web-mysql.noarch: W: obsolete-not-provided zabbix22-web
zabbix22-web-mysql.noarch: W: no-documentation
zabbix22-web-pgsql.noarch: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-web-pgsql.noarch: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
zabbix22-web-pgsql.noarch: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix22-web-pgsql.noarch: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
zabbix22-web-pgsql.noarch: W: no-documentation
zabbix22.src: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix22.src:24: W: macro-in-comment %{srcname}
zabbix22.src:24: W: macro-in-comment %{srcname}
zabbix22.src:24: W: macro-in-comment %{version}
zabbix22.src:497: W: macro-in-comment %{srcname}
zabbix22.src: W: invalid-url Source0: zabbix-2.2.1-free.tar.gz
13 packages and 0 specfiles checked; 19 errors, 71 warnings.




Rpmlint (installed packages)
----------------------------
ix22-server-mysql zabbix22-proxy zabbix22 zabbix22-proxy-sqlite3 zabbix22-server zabbix22-proxy-pgsql zabbix22-web-mysql zabbix22-server-pgsql
zabbix22-agent.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-agent.x86_64: W: only-non-binary-in-usr-lib
zabbix22-agent.x86_64: W: non-standard-uid /var/lib/zabbix zabbix
zabbix22-agent.x86_64: W: non-standard-gid /var/lib/zabbix zabbix
zabbix22-agent.x86_64: E: non-standard-dir-perm /var/lib/zabbix 0750L
zabbix22-agent.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/zabbix-agent
zabbix22-agent.x86_64: W: non-standard-gid /var/log/zabbix zabbix
zabbix22-agent.x86_64: E: non-standard-dir-perm /var/log/zabbix 0775L
zabbix22-agent.x86_64: W: no-manual-page-for-binary zabbix_agent
zabbix22-web-pgsql.noarch: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-web-pgsql.noarch: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
zabbix22-web-pgsql.noarch: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix22-web-pgsql.noarch: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
zabbix22-web-pgsql.noarch: W: no-documentation
zabbix22-web.noarch: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-web.noarch: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
zabbix22-web.noarch: W: no-documentation
zabbix22-web.noarch: E: zero-length /usr/share/zabbix/include/classes/class.cstringparser.php
zabbix22-web.noarch: E: non-standard-dir-perm /etc/zabbix/web 0750L
zabbix22-proxy-mysql.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-proxy-mysql.x86_64: W: only-non-binary-in-usr-lib
zabbix22-proxy-mysql.x86_64: W: no-documentation
zabbix22-proxy-mysql.x86_64: E: non-executable-script /usr/share/zabbix-mysql/upgrades/2.0/upgrade 0644L /bin/bash
zabbix22-proxy-mysql.x86_64: E: non-executable-script /usr/share/zabbix-mysql/upgrades/1.8/upgrade 0644L /bin/bash
zabbix22-proxy-mysql.x86_64: W: no-manual-page-for-binary zabbix_proxy_mysql
zabbix22-server-mysql.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-server-mysql.x86_64: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix22-server-mysql.x86_64: W: only-non-binary-in-usr-lib
zabbix22-server-mysql.x86_64: W: no-documentation
zabbix22-server-mysql.x86_64: E: non-executable-script /usr/share/zabbix-mysql/upgrades/2.0/upgrade 0644L /bin/bash
zabbix22-server-mysql.x86_64: E: non-executable-script /usr/share/zabbix-mysql/upgrades/1.8/upgrade 0644L /bin/bash
zabbix22-server-mysql.x86_64: W: no-manual-page-for-binary zabbix_server_mysql
zabbix22-proxy.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-proxy.x86_64: W: only-non-binary-in-usr-lib
zabbix22-proxy.x86_64: W: dangling-symlink /etc/zabbix/externalscripts /var/lib/zabbixsrv/externalscripts
zabbix22-proxy.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/zabbix-proxy
zabbix22-proxy.x86_64: W: non-standard-uid /var/lib/zabbixsrv/tmp zabbixsrv
zabbix22-proxy.x86_64: W: non-standard-gid /var/lib/zabbixsrv/tmp zabbixsrv
zabbix22-proxy.x86_64: E: non-standard-dir-perm /var/lib/zabbixsrv/tmp 0750L
zabbix22-proxy.x86_64: W: non-standard-gid /var/log/zabbixsrv zabbixsrv
zabbix22-proxy.x86_64: E: non-standard-dir-perm /var/log/zabbixsrv 0775L
zabbix22-proxy.x86_64: W: non-standard-uid /var/lib/zabbixsrv zabbixsrv
zabbix22-proxy.x86_64: W: non-standard-gid /var/lib/zabbixsrv zabbixsrv
zabbix22-proxy.x86_64: E: non-standard-dir-perm /var/lib/zabbixsrv 0750L
zabbix22-proxy.x86_64: W: non-standard-gid /etc/zabbix_proxy.conf zabbixsrv
zabbix22-proxy.x86_64: E: non-readable /etc/zabbix_proxy.conf 0640L
zabbix22-proxy.x86_64: W: dangerous-command-in-%post chmod
zabbix22.x86_64: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix22-proxy-sqlite3.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-proxy-sqlite3.x86_64: W: only-non-binary-in-usr-lib
zabbix22-proxy-sqlite3.x86_64: W: no-documentation
zabbix22-proxy-sqlite3.x86_64: W: no-manual-page-for-binary zabbix_proxy_sqlite3
zabbix22-server.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-server.x86_64: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix22-server.x86_64: W: only-non-binary-in-usr-lib
zabbix22-server.x86_64: W: dangling-symlink /etc/zabbix/externalscripts /var/lib/zabbixsrv/externalscripts
zabbix22-server.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/zabbix-server
zabbix22-server.x86_64: W: non-standard-gid /var/log/zabbixsrv zabbixsrv
zabbix22-server.x86_64: E: non-standard-dir-perm /var/log/zabbixsrv 0775L
zabbix22-server.x86_64: W: non-standard-gid /etc/zabbix_server.conf zabbixsrv
zabbix22-server.x86_64: E: non-readable /etc/zabbix_server.conf 0640L
zabbix22-server.x86_64: W: non-standard-uid /var/lib/zabbixsrv/tmp zabbixsrv
zabbix22-server.x86_64: W: non-standard-gid /var/lib/zabbixsrv/tmp zabbixsrv
zabbix22-server.x86_64: E: non-standard-dir-perm /var/lib/zabbixsrv/tmp 0750L
zabbix22-server.x86_64: W: dangling-symlink /etc/zabbix/alertscripts /var/lib/zabbixsrv/alertscripts
zabbix22-server.x86_64: W: non-standard-uid /var/lib/zabbixsrv zabbixsrv
zabbix22-server.x86_64: W: non-standard-gid /var/lib/zabbixsrv zabbixsrv
zabbix22-server.x86_64: E: non-standard-dir-perm /var/lib/zabbixsrv 0750L
zabbix22-server.x86_64: W: dangerous-command-in-%post chmod
zabbix22-proxy-pgsql.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-proxy-pgsql.x86_64: W: only-non-binary-in-usr-lib
zabbix22-proxy-pgsql.x86_64: W: no-documentation
zabbix22-proxy-pgsql.x86_64: W: no-manual-page-for-binary zabbix_proxy_pgsql
zabbix22-web-mysql.noarch: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-web-mysql.noarch: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
zabbix22-web-mysql.noarch: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix22-web-mysql.noarch: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
zabbix22-web-mysql.noarch: W: obsolete-not-provided zabbix22-web
zabbix22-web-mysql.noarch: W: no-documentation
zabbix22-server-pgsql.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix22-server-pgsql.x86_64: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix22-server-pgsql.x86_64: W: only-non-binary-in-usr-lib
zabbix22-server-pgsql.x86_64: W: no-documentation
zabbix22-server-pgsql.x86_64: W: no-manual-page-for-binary zabbix_server_pgsql
12 packages and 0 specfiles checked; 19 errors, 65 warnings.
# echo 'rpmlint-done:'



Requires
--------
zabbix22-agent (rpmlib, GLIBC filtered):
    /bin/sh
    config(zabbix22-agent)
    libc.so.6()(64bit)
    libcurl.so.4()(64bit)
    libdl.so.2()(64bit)
    liblber-2.4.so.2()(64bit)
    libldap-2.4.so.2()(64bit)
    libm.so.6()(64bit)
    libresolv.so.2()(64bit)
    rtld(GNU_HASH)
    shadow-utils
    systemd-units
    zabbix22

zabbix22-web-pgsql (rpmlib, GLIBC filtered):
    php-pgsql
    zabbix22-web

zabbix22-web (rpmlib, GLIBC filtered):
    /bin/bash
    config(zabbix22-web)
    dejavu-sans-fonts
    php
    php-bcmath
    php-gd
    php-gettext
    php-ldap
    php-mbstring
    php-xml
    zabbix22
    zabbix22-web-database

zabbix22-proxy-mysql (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/sbin/alternatives
    /usr/sbin/update-alternatives
    libOpenIPMI.so.0()(64bit)
    libOpenIPMIposix.so.0()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcurl.so.4()(64bit)
    libdl.so.2()(64bit)
    liblber-2.4.so.2()(64bit)
    libldap-2.4.so.2()(64bit)
    libm.so.6()(64bit)
    libmysqlclient.so.18()(64bit)
    libmysqlclient.so.18(libmysqlclient_16)(64bit)
    libnetsnmp.so.30()(64bit)
    libodbc.so.2()(64bit)
    libresolv.so.2()(64bit)
    libssh2.so.1()(64bit)
    libssl.so.10()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    rtld(GNU_HASH)
    zabbix22-proxy

zabbix22-server-mysql (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/sbin/alternatives
    /usr/sbin/update-alternatives
    libOpenIPMI.so.0()(64bit)
    libOpenIPMIposix.so.0()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcurl.so.4()(64bit)
    libdl.so.2()(64bit)
    libiksemel.so.3()(64bit)
    liblber-2.4.so.2()(64bit)
    libldap-2.4.so.2()(64bit)
    libm.so.6()(64bit)
    libmysqlclient.so.18()(64bit)
    libmysqlclient.so.18(libmysqlclient_16)(64bit)
    libnetsnmp.so.30()(64bit)
    libodbc.so.2()(64bit)
    libresolv.so.2()(64bit)
    libssh2.so.1()(64bit)
    libssl.so.10()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    rtld(GNU_HASH)
    zabbix22
    zabbix22-server

zabbix22-proxy (rpmlib, GLIBC filtered):
    /bin/sh
    config(zabbix22-proxy)
    fping
    shadow-utils
    systemd-units
    zabbix22
    zabbix22-proxy-implementation

zabbix22 (rpmlib, GLIBC filtered):
    config(zabbix22)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libm.so.6()(64bit)
    libresolv.so.2()(64bit)
    logrotate
    rtld(GNU_HASH)

zabbix22-proxy-sqlite3 (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/sbin/alternatives
    /usr/sbin/update-alternatives
    libOpenIPMI.so.0()(64bit)
    libOpenIPMIposix.so.0()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcurl.so.4()(64bit)
    libdl.so.2()(64bit)
    liblber-2.4.so.2()(64bit)
    libldap-2.4.so.2()(64bit)
    libm.so.6()(64bit)
    libnetsnmp.so.30()(64bit)
    libodbc.so.2()(64bit)
    libresolv.so.2()(64bit)
    libsqlite3.so.0()(64bit)
    libssh2.so.1()(64bit)
    libssl.so.10()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    rtld(GNU_HASH)
    zabbix22-proxy

zabbix22-server (rpmlib, GLIBC filtered):
    /bin/sh
    config(zabbix22-server)
    fping
    shadow-utils
    systemd-units
    traceroute
    zabbix22
    zabbix22-server-implementation

zabbix22-proxy-pgsql (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/sbin/alternatives
    /usr/sbin/update-alternatives
    libOpenIPMI.so.0()(64bit)
    libOpenIPMIposix.so.0()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcurl.so.4()(64bit)
    libdl.so.2()(64bit)
    liblber-2.4.so.2()(64bit)
    libldap-2.4.so.2()(64bit)
    libm.so.6()(64bit)
    libnetsnmp.so.30()(64bit)
    libodbc.so.2()(64bit)
    libpq.so.5()(64bit)
    libresolv.so.2()(64bit)
    libssh2.so.1()(64bit)
    libssl.so.10()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    rtld(GNU_HASH)
    zabbix22-proxy

zabbix22-web-mysql (rpmlib, GLIBC filtered):
    php-mysql
    zabbix22-web

zabbix22-server-pgsql (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/sbin/alternatives
    /usr/sbin/update-alternatives
    libOpenIPMI.so.0()(64bit)
    libOpenIPMIposix.so.0()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcurl.so.4()(64bit)
    libdl.so.2()(64bit)
    libiksemel.so.3()(64bit)
    liblber-2.4.so.2()(64bit)
    libldap-2.4.so.2()(64bit)
    libm.so.6()(64bit)
    libnetsnmp.so.30()(64bit)
    libodbc.so.2()(64bit)
    libpq.so.5()(64bit)
    libresolv.so.2()(64bit)
    libssh2.so.1()(64bit)
    libssl.so.10()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    rtld(GNU_HASH)
    zabbix22
    zabbix22-server



Provides
--------
zabbix22-agent:
    config(zabbix22-agent)
    zabbix22-agent
    zabbix22-agent(x86-64)

zabbix22-web-pgsql:
    zabbix22-web-database
    zabbix22-web-pgsql

zabbix22-web:
    config(zabbix22-web)
    zabbix22-web

zabbix22-proxy-mysql:
    zabbix22-proxy-implementation
    zabbix22-proxy-mysql
    zabbix22-proxy-mysql(x86-64)

zabbix22-server-mysql:
    zabbix22-server-implementation
    zabbix22-server-mysql
    zabbix22-server-mysql(x86-64)

zabbix22-proxy:
    config(zabbix22-proxy)
    zabbix22-proxy
    zabbix22-proxy(x86-64)

zabbix22:
    config(zabbix22)
    zabbix
    zabbix22
    zabbix22(x86-64)

zabbix22-proxy-sqlite3:
    zabbix22-proxy-implementation
    zabbix22-proxy-sqlite3
    zabbix22-proxy-sqlite3(x86-64)

zabbix22-server:
    config(zabbix22-server)
    zabbix22-server
    zabbix22-server(x86-64)

zabbix22-proxy-pgsql:
    zabbix22-proxy-implementation
    zabbix22-proxy-pgsql
    zabbix22-proxy-pgsql(x86-64)

zabbix22-web-mysql:
    zabbix22-web-database
    zabbix22-web-mysql

zabbix22-server-pgsql:
    zabbix22-server-implementation
    zabbix22-server-pgsql
    zabbix22-server-pgsql(x86-64)



Source checksums
----------------
Using local file /export/home/orion/redhat/zabbix22-2.2.1/zabbix-server-mysql.service as upstream
file:///export/home/orion/redhat/zabbix22-2.2.1/zabbix-server-mysql.service :
  CHECKSUM(SHA256) this package     : b79c5b051202d6703a3be25b16c8427dd3b8237d8b2a2c73f46ee969dab6dc7a
  CHECKSUM(SHA256) upstream package : b79c5b051202d6703a3be25b16c8427dd3b8237d8b2a2c73f46ee969dab6dc7a
Using local file /export/home/orion/redhat/zabbix22-2.2.1/zabbix-server-pgsql.service as upstream
file:///export/home/orion/redhat/zabbix22-2.2.1/zabbix-server-pgsql.service :
  CHECKSUM(SHA256) this package     : cf6525c6fb2f2f2b0c565df4597e15d4878d7aa39cb275be2ef74ac7f30cf0e4
  CHECKSUM(SHA256) upstream package : cf6525c6fb2f2f2b0c565df4597e15d4878d7aa39cb275be2ef74ac7f30cf0e4
Using local file /export/home/orion/redhat/zabbix22-2.2.1/zabbix-fedora-epel.README as upstream
file:///export/home/orion/redhat/zabbix22-2.2.1/zabbix-fedora-epel.README :
  CHECKSUM(SHA256) this package     : 668704b4f94045f8e78ae380258754242a3c05767062574988682fdf4ec75e8e
  CHECKSUM(SHA256) upstream package : 668704b4f94045f8e78ae380258754242a3c05767062574988682fdf4ec75e8e
Using local file /export/home/orion/redhat/zabbix22-2.2.1/zabbix-tmpfiles-zabbixsrv.conf as upstream
file:///export/home/orion/redhat/zabbix22-2.2.1/zabbix-tmpfiles-zabbixsrv.conf :
  CHECKSUM(SHA256) this package     : d56fd5073ac50e2ec8ee3895e0dcf408124facb779842c16c94dced899b96bef
  CHECKSUM(SHA256) upstream package : d56fd5073ac50e2ec8ee3895e0dcf408124facb779842c16c94dced899b96bef
Using local file /export/home/orion/redhat/zabbix22-2.2.1/zabbix-agentd.service as upstream
file:///export/home/orion/redhat/zabbix22-2.2.1/zabbix-agentd.service :
  CHECKSUM(SHA256) this package     : 2438c57ae1cbfa5be4ad677594c608c44f073ace798b131aa8416404ddc38067
  CHECKSUM(SHA256) upstream package : 2438c57ae1cbfa5be4ad677594c608c44f073ace798b131aa8416404ddc38067
Using local file /export/home/orion/redhat/zabbix22-2.2.1/zabbix-proxy-mysql.service as upstream
file:///export/home/orion/redhat/zabbix22-2.2.1/zabbix-proxy-mysql.service :
  CHECKSUM(SHA256) this package     : bd4cd5a04984f61bfdcc3a84b7986f5fe3c4ddc80fbdc123d1278eb43df19d15
  CHECKSUM(SHA256) upstream package : bd4cd5a04984f61bfdcc3a84b7986f5fe3c4ddc80fbdc123d1278eb43df19d15
Using local file /export/home/orion/redhat/zabbix22-2.2.1/zabbix-proxy-pgsql.service as upstream
file:///export/home/orion/redhat/zabbix22-2.2.1/zabbix-proxy-pgsql.service :
  CHECKSUM(SHA256) this package     : e383cdccef42246c910c854c58d40e9e47c3014c429fad7d65adc5855516d6e5
  CHECKSUM(SHA256) upstream package : e383cdccef42246c910c854c58d40e9e47c3014c429fad7d65adc5855516d6e5
Using local file /export/home/orion/redhat/zabbix22-2.2.1/zabbix-proxy-sqlite3.service as upstream
file:///export/home/orion/redhat/zabbix22-2.2.1/zabbix-proxy-sqlite3.service :
  CHECKSUM(SHA256) this package     : 86567b3659195fb9564ed8270c3d7aeb32000d47590ef027a7aa65abef926db7
  CHECKSUM(SHA256) upstream package : 86567b3659195fb9564ed8270c3d7aeb32000d47590ef027a7aa65abef926db7
Using local file /export/home/orion/redhat/zabbix22-2.2.1/zabbix-server.init as upstream
file:///export/home/orion/redhat/zabbix22-2.2.1/zabbix-server.init :
  CHECKSUM(SHA256) this package     : 42d0d6f1d42d243850e286d1634768941edccad60dae673ee9302f09a5406865
  CHECKSUM(SHA256) upstream package : 42d0d6f1d42d243850e286d1634768941edccad60dae673ee9302f09a5406865
Using local file /export/home/orion/redhat/zabbix22-2.2.1/zabbix-agentd.init as upstream
file:///export/home/orion/redhat/zabbix22-2.2.1/zabbix-agentd.init :
  CHECKSUM(SHA256) this package     : 1c245022532989d0fdd06bff5dc5053faf671388943cb40c02df9042b9922695
  CHECKSUM(SHA256) upstream package : 1c245022532989d0fdd06bff5dc5053faf671388943cb40c02df9042b9922695
Using local file /export/home/orion/redhat/zabbix22-2.2.1/zabbix-2.2.1-free.tar.gz as upstream
file:///export/home/orion/redhat/zabbix22-2.2.1/zabbix-2.2.1-free.tar.gz :
  CHECKSUM(SHA256) this package     : 58921936f4332847d71744275a7db51fa1bc07ec58b7ce8eb1adb36e2f4b79f5
  CHECKSUM(SHA256) upstream package : 58921936f4332847d71744275a7db51fa1bc07ec58b7ce8eb1adb36e2f4b79f5
Using local file /export/home/orion/redhat/zabbix22-2.2.1/zabbix-web.conf as upstream
file:///export/home/orion/redhat/zabbix22-2.2.1/zabbix-web.conf :
  CHECKSUM(SHA256) this package     : 8cc905ed3a2c713908c41a04ed8c195cdf78e5ef1d9dd39b57ecc7186424d13e
  CHECKSUM(SHA256) upstream package : 8cc905ed3a2c713908c41a04ed8c195cdf78e5ef1d9dd39b57ecc7186424d13e
Using local file /export/home/orion/redhat/zabbix22-2.2.1/zabbix-proxy.init as upstream
file:///export/home/orion/redhat/zabbix22-2.2.1/zabbix-proxy.init :
  CHECKSUM(SHA256) this package     : e779e83290e0d48ec5c635bd0afa3bd9d8630afd832e224661a5bd4f71c9feb2
  CHECKSUM(SHA256) upstream package : e779e83290e0d48ec5c635bd0afa3bd9d8630afd832e224661a5bd4f71c9feb2
Using local file /export/home/orion/redhat/zabbix22-2.2.1/zabbix-logrotate.in as upstream
file:///export/home/orion/redhat/zabbix22-2.2.1/zabbix-logrotate.in :
  CHECKSUM(SHA256) this package     : 692c16fd67a702e6ad167a4fac99103abb25c1a2adf837a9ef57b9948d5c5adb
  CHECKSUM(SHA256) upstream package : 692c16fd67a702e6ad167a4fac99103abb25c1a2adf837a9ef57b9948d5c5adb
Using local file /export/home/orion/redhat/zabbix22-2.2.1/zabbix-tmpfiles-zabbix.conf as upstream
file:///export/home/orion/redhat/zabbix22-2.2.1/zabbix-tmpfiles-zabbix.conf :
  CHECKSUM(SHA256) this package     : d00d253a0cb8a12a885fa80e1a49d90533679d3c314d80b82b0b75f5f1ee48cd
  CHECKSUM(SHA256) upstream package : d00d253a0cb8a12a885fa80e1a49d90533679d3c314d80b82b0b75f5f1ee48cd


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1048621
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++, Perl
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 13 Orion Poplawski 2014-01-14 20:44:43 UTC
Filed bug 1053205 for some selinux support.

Comment 14 Volker Fröhlich 2014-01-19 18:52:06 UTC
Spec URL: http://www.geofrogger.net/review/zabbix22.spec
SRPM URL: http://www.geofrogger.net/review/zabbix22-2.2.1-4.fc18.src.rpm

* Fri Jan 17 2014 Volker Fröhlich <volker27@gmx.at> - 2.2.1-4 
- Preserve timestamp on all install commands
- Provide bundled md5-deutsch
- Make server and proxy sub-packages noarch
- Add noarch sub-packages for DB files

That should save 2.2 MB at first and then 4.4 MB per architecture.

I think that the license field can remain as it is because the resulting packages have no single files under the zlib license and the zlib license is compatible with GPLv2+.

I thought about %{?_isa}, but since none of the components is using anything arch-dependent from the base package, I don't think it's necessary.

Comment 15 Orion Poplawski 2014-01-27 19:21:31 UTC
- There appears to be no /var/lib/zabbixsrv/{alert,external}scripts directories which are pointed to by /etc/zabbix/{alert,external}scripts

zabbix22-server.noarch: W: dangling-symlink /etc/zabbix/externalscripts /var/lib/zabbixsrv/externalscipts
zabbix22-server.noarch: W: dangling-symlink /etc/zabbix/alertscripts /var/lib/zabbixsrv/alertscripts

Not sure why rpm doesn't complain about not packaging them.

Otherwise, that may be it.

Comment 16 Orion Poplawski 2014-01-27 21:20:44 UTC
It would be nice if the .sql files could be compressed.

Comment 17 Volker Fröhlich 2014-01-27 22:12:09 UTC
I'll happily compress them on all maintained releases later. The symlinks are back in the game.

Spec URL: http://www.geofrogger.net/review/zabbix22.spec
SRPM URL:http://www.geofrogger.net/review/zabbix22-2.2.1-5.fc19.src.rpm

Comment 18 Orion Poplawski 2014-01-27 23:27:33 UTC
Looks good. Approved.

Comment 19 Volker Fröhlich 2014-01-28 07:39:36 UTC
New Package SCM Request
=======================
Package Name: zabbix22
Short Description: Open-source monitoring solution for your IT infrastructure
Owners: volter
Branches: el5 el6 epel7

Comment 20 Gwyn Ciesla 2014-01-28 13:04:26 UTC
Git done (by process-git-requests).

Comment 21 Fedora Update System 2014-01-29 01:05:36 UTC
zabbix22-2.2.1-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zabbix22-2.2.1-5.el6

Comment 22 Fedora Update System 2014-01-29 21:23:32 UTC
zabbix22-2.2.1-5.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 23 Fedora Update System 2014-02-03 20:49:41 UTC
zabbix22-2.2.1-5.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.